Package com.io7m.cardant.model.type_package

# Record Class CANameQualified

java.lang.Object
java.lang.Record
com.io7m.cardant.model.type_package.CANameQualified

Record Components:
  `value` - The name

All Implemented Interfaces:
  `CANameType`

public record CANameQualified(com.io7m.lanark.core.RDottedName value) extends Record implements CANameType
The type of qualified names.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CANameQualified(com.io7m.lanark.core.RDottedName value)`
  The type of qualified names.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `com.io7m.lanark.core.RDottedName`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CANameQualified

    public CANameQualified(com.io7m.lanark.core.RDottedName value)
    The type of qualified names.
    Parameters:
      `value` - The name

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public com.io7m.lanark.core.RDottedName value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component